MWParserInternal Namespace Reference

Internal: the structures of a MWParser. More...

## Classes

struct | FileHeader
| Document header. More...
struct | Information
| the paragraph... information More...
struct | WindowsInfo
| the windows structure More...
struct | State
| Internal: the state of a MWParser. More...
class | SubDocument
| Internal: the subdocument of a MWParser. More...

## Functions

std::ostream & | operator<< (std::ostream &o, FileHeader const &header)
std::ostream & | operator<< (std::ostream &o, Information const &info)
std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

Internal: the structures of a MWParser.

## Function Documentation

std::ostream& MWParserInternal::operator<< | ( | std::ostream & | o,
|  | FileHeader const & | header
| ) |  |

std::ostream& MWParserInternal::operator<< | ( | std::ostream & | o,
|  | Information const & | info
| ) |  |

std::ostream& MWParserInternal::operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w
| ) |  |